<?php
session_start();
require("../../database/dbConection.php");
$UsuarioLogado = $_SESSION['idUsuarioLogado'];


$formatarSexo = array(
  'M' => 'MASCULINO',
  'F' => 'FEMININO',
  ''  => 'INDEFINIDO'
);

$opcaoDocumento = $_POST['opcaoDocumento'];
if($opcaoDocumento=="cns" || $opcaoDocumento=="cpf"){
  $numeroDocumento = str_replace("-","",$_POST['numeroDocumento']);
  $numeroDocumento = str_replace(".","",$numeroDocumento);
  $numeroDocumento = str_replace(" ","",$numeroDocumento);
}

if($opcaoDocumento=="cns"){
  $sqlPacienteExistente = "SELECT tb_paciente.*, date_format(datanasc, '%d/%m/%Y') AS dataNascimento, tb_cidades.nome_cidade FROM tb_paciente INNER JOIN tb_cidades ON (tb_paciente.codigocidade = tb_cidades.codigoibge_cidade) WHERE cns_paciente='$numeroDocumento'";
}else if($opcaoDocumento=="cpf"){
  $sqlPacienteExistente = "SELECT tb_paciente.*, date_format(datanasc, '%d/%m/%Y') AS dataNascimento, tb_cidades.nome_cidade FROM tb_paciente INNER JOIN tb_cidades ON (tb_paciente.codigocidade = tb_cidades.codigoibge_cidade) WHERE cpf_paciente='$numeroDocumento'";
}

$stmPaciente    = $rsConexao->prepare($sqlPacienteExistente);    
$stmPaciente    -> execute();    

if($stmPaciente->rowCount()>0){
  $rsPacientes  = $stmPaciente->fetch(PDO::FETCH_OBJ);
  $arrayPaciente = array(
    'nomePaciente'              => $rsPacientes->nome_paciente,
    'numeroCNS'                 => $rsPacientes->cns_paciente,
    'numeroCPF'                 => $rsPacientes->cpf_paciente,
    'nomeSocialPaciente'        => $rsPacientes->nome_social,
    'dataNascimento'            => $rsPacientes->datanasc,
    'sexoPaciente'              => $formatarSexo[$rsPacientes->sexo],
    'nomeMaePaciente'           => $rsPacientes->nomemae,
    'cepPaciente'               => $rsPacientes->cep_paciente,
    'enderecoPaciente'          => $rsPacientes->endereco_paciente,
    'numeroEnderecoPaciente'    => $rsPacientes->numeroend_paciente,
    'pontoRederencia'           => $rsPacientes->prontoreferencia,
    'bairroPaciente'            => $rsPacientes->bairro_paciente,
    'nomeCidadePaciente'        => $rsPacientes->nome_cidade,
    'telefoneCelular1'          => $rsPacientes->celular1,
    'telefoneCelular1Whatsapp'  => $rsPacientes->celular1_whatsapp,
    'telefoneCelular2'          => $rsPacientes->celular2,
    'telefoneCelular2Whatsapp'  => $rsPacientes->celular2_whatsapp,
    'telefoneCelular3'          => $rsPacientes->celular3,
    'telefoneCelular3Whatsapp'  => $rsPacientes->celular3_whatsapp
  );
  echo json_encode($arrayPaciente);
}else{
  $options = array(
    "http"=>array(
        "header"=>"User-Agent: Mozilla/5.0 (iPad; U; CPU OS 3_2 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Mobile/7B334b Safari/531.21.102011-10-16 20:23:10\r\n" // i.e. An iPad
    )
  );
  $context = stream_context_create($options);
  $json_file = file_get_contents("http://cns.essencialws.app.br/v1/crv_cnsws.php?op=$opcaoDocumento&codbusca=$numeroDocumento", false, $context);
  
  if($json_file!='{"array_cns":[{"Paciente n&atilde;o encontrato."}]}' && $json_file!='{"array_cns":[{"Paciente não encontrato."}]}'){
    $json_str = json_decode($json_file, true);
    $itensCNS = $json_str['array_cns']; 
    if ($itensCNS[0]['numero_cns'] != ""){     
          
      /* ATRIBUIÇÃO DE VALORES DE VARIÁVEIS PARA O CADASTRO */    
      $cnsPaciente    = $itensCNS[0]['numero_cns'];
      $CPFPaciente    = $itensCNS[3]['numero_cpf'];
      $nomePaciente   = str_replace("'", "`", $itensCNS[1]['nome_usuario']);
      $dataNascimento = $itensCNS[2]['data_nascimento'];
      $sexoPaciente   = $itensCNS[5]['sexo_usuario'];
      $nomeMae        = $itensCNS[4]['nome_mae'];
      $nomePai        = $itensCNS[16]['nome_pai'];
      $racaCor        = $itensCNS[6]['raca_cor'];
      $cepPaciente    = $itensCNS[10]['numero_cep'];
      $nomeMunicipio  = $itensCNS[14]['nome_municipio'];
      $enderecoPaciente       = str_replace("'", "`", $itensCNS[8]['nome_logradouro']);
      $numeroEnderecoPaciente = str_replace("'", "`", $itensCNS[9]['numero_residencia']);
      $nomeBairro             = str_replace("'", "`", $itensCNS[11]['nome_bairro']);
      $numeroTelefone         = $itensCNS[12]['telefone'];

      $arrayPaciente = array(
        'nomePaciente'              => $itensCNS[1]['nome_usuario'],
        'numeroCNS'                 => $itensCNS[0]['numero_cns'],
        'numeroCPF'                 => $itensCNS[3]['numero_cpf'],
        'nomeSocialPaciente'        => "",
        'dataNascimento'            => $itensCNS[2]['data_nascimento'],
        'sexoPaciente'              => $formatarSexo[$itensCNS[5]['sexo_usuario']] ?: "INDEFINIDO",
        'nomeMaePaciente'           => $itensCNS[4]['nome_mae'],
        'cepPaciente'               => $itensCNS[10]['numero_cep'],
        'enderecoPaciente'          => $itensCNS[8]['nome_logradouro'],
        'numeroEnderecoPaciente'    => $itensCNS[9]['numero_residencia'],
        'pontoRederencia'           => "",
        'bairroPaciente'            => $itensCNS[11]['nome_bairro'],
        'nomeCidadePaciente'        => $itensCNS[14]['nome_municipio'],
        'telefoneCelular1'          => $itensCNS[12]['telefone'],
        'telefoneCelular1Whatsapp'  => "N",
        'telefoneCelular2'          => "",
        'telefoneCelular2Whatsapp'  => "N",
        'telefoneCelular3'          => "",
        'telefoneCelular3Whatsapp'  => "N"
      );
      echo json_encode($arrayPaciente);
    }else{
      echo "NaoEncontrado";
    }
  }else{
    echo "NaoEncontrado";
  }
}

?>
